Subject: Re: linux-next: Tree for May 18 (drivers/net/dsa/qca8k.c)

From: Andrew Lunn <[email-masked]>
Date: Tue, 18 May 2021 19:33:20 +0200

> Would something like this work?
> 
> -----------------------------[ cut here ]-----------------------------
> >From 36c0b3f04ebfa51e52bd1bc2dc447d12d1c6e119 Mon Sep 17 00:00:00 2001
> From: Vladimir Oltean <[email-masked]>
> Date: Tue, 18 May 2021 19:39:18 +0300
> Subject: [PATCH] net: mdio: provide shim implementation of
>  devm_of_mdiobus_register
> 
> Similar to the way in which of_mdiobus_register() has a fallback to the
> non-DT based mdiobus_register() when CONFIG_OF is not set, we can create
> a shim for the device-managed devm_of_mdiobus_register() which calls
> devm_mdiobus_register() and discards the struct device_node *.
> 
> In particular, this solves a build issue with the qca8k DSA driver which
> uses devm_of_mdiobus_register and can be compiled without CONFIG_OF.
> 
> Reported-by: Randy Dunlap <[email-masked]>
> Signed-off-by: Vladimir Oltean <[email-masked]>

This should be O.K.

Reviewed-by: Andrew Lunn <[email-masked]>

Thanks
    Andrew